LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 07-04-2003, 11:59 PM   #1
linuxJaver
Member
 
Registered: Jul 2003
Location: Jakartax, ID
Distribution: slack9.1+,9.1,rh9
Posts: 203

Rep: Reputation: 30
dependency problem by installing j2sdk-1_4_2-linux-i586.rpm


Hi ppl,
Have any one tried to install j2se 1.4.2 ?
I've tried:
rpm -ivh j2sdk-1_4_2-linux-i586.rpm
rpm -i -r /opt j2sdk-1_4_2-linux-i586.rpm

It failed with the error:
error: failed dependencies:
glibc >= 2.1.2-11 is needed by j2sdk-1.4.2-fcs
sh-utils >= 2.0-1 is needed by j2sdk-1.4.2-fcs
fileutils >= 4.0-8 is needed by j2sdk-1.4.2-fcs
gawk >= 3.0.4-1 is needed by j2sdk-1.4.2-fcs
textutils >= 2.0-2 is needed by j2sdk-1.4.2-fcs
/bin/sh is needed by j2sdk-1.4.2-fcs

I've checked /var/log/packages
for each packages stated above, it seemed so that
only textutils-2.0-i386-1 is obsoleted, am still ransacking
the net for that newer textutils, hope it ll then work. Am not
so confident with the rpm command, that y I posted ..
 
Old 07-05-2003, 12:23 AM   #2
Locura
Member
 
Registered: May 2003
Distribution: Ubuntu 6.10 SE, Mac OS 10.4.8
Posts: 370

Rep: Reputation: 30
You don't install RPMs on a Slackware system. Use rpm2tgz to convert the rpm to a Slackware (tgz) package, then run installpkg packagename.tgz to install the package.
 
Old 07-05-2003, 01:16 AM   #3
linuxJaver
Member
 
Registered: Jul 2003
Location: Jakartax, ID
Distribution: slack9.1+,9.1,rh9
Posts: 203

Original Poster
Rep: Reputation: 30
Thanks Locura, I convert that j2sdk-1_4_2-linux-i586.rpm
to j2sdk-1_4_2-linux-i586.tgz. It take awhile on my amd333 machine. Installation with pkgtool went smooth. It has installed on /usr/java/j2sdk1.4.2.

rwxr-xr-x 8 root root 4096 Jul 5 12:30 j2sdk1.4.2/
[root@tx97e:/usr/java]$ du -s j2sdk1.4.2/
68420 j2sdk1.4.2

By the way, gnu seemed to have rename those textutils,fileutils ..
to coreutils ftp://mirrors.kernel.org/gnu/coreutils .
 
Old 07-05-2003, 01:52 AM   #4
Astro
Member
 
Registered: Jan 2003
Location: Ballston Lake, NY
Distribution: Slackware, Debian
Posts: 660

Rep: Reputation: 30
Even with the conversion I've found some things don't work properly
 
Old 07-05-2003, 02:21 AM   #5
Locura
Member
 
Registered: May 2003
Distribution: Ubuntu 6.10 SE, Mac OS 10.4.8
Posts: 370

Rep: Reputation: 30
Yeah, it's not perfect, but it works most of the time.
 
Old 07-05-2003, 02:33 AM   #6
linuxJaver
Member
 
Registered: Jul 2003
Location: Jakartax, ID
Distribution: slack9.1+,9.1,rh9
Posts: 203

Original Poster
Rep: Reputation: 30
Wut works not properly, I've not testet it yet, r u sure it is not regarding to environment variables, path, classpath issues ?
Do u have JAVA_HOME in your ~/.bash_profile

export JAVA_HOME=/usr/java/j2sdk1.4.2
export PATH=$PATH:$JAVA_HOME/bin;$JAVA_HOME/jre/bin

source ~/.bash_profile after that.

If u want netscape to use the j2sdk1.4.2-plugin, then:
cd /usr/lib/netscape/plugins
rm libjavaplugin_oji.so (or rename it)
ln -s /usr/java/j2sdk1.4.2/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so .
I've also do that in /usr/lib/mozilla/plugins, but not yet testet ..
Usually I do that after installed a new J2sdk.

Post later whether u still have which problem or not ..
 
Old 07-05-2003, 08:48 AM   #7
linuxJaver
Member
 
Registered: Jul 2003
Location: Jakartax, ID
Distribution: slack9.1+,9.1,rh9
Posts: 203

Original Poster
Rep: Reputation: 30
Hi ppl,
I'm sorry have to tell u that the way I install j2sdk-1_4_2-linux-i586.rpm by convet it to *.tgz first didn't work properly. I can see the java plugins recognized by netscape/mozilla by hit of button help -> about plugins.
But they crushed whenever I forced them to load the yahoo
java-chat-client. Maybe the way to install it by convert to tgz is ok i dun know... I've observed, netscape complained about "no classImplementation found on the screen .."
So I go back with j2sdk-1.4.1_02 n linked the plugin into mozilla n netscape plugins directory, now every thing is ok.
 
Old 07-05-2003, 10:48 AM   #8
Astro
Member
 
Registered: Jan 2003
Location: Ballston Lake, NY
Distribution: Slackware, Debian
Posts: 660

Rep: Reputation: 30
Might be better off getting the self extracting .bin file and installing it that way. Thats the way I do it when I do my programming for java with the sdk anyways.
 
Old 07-05-2003, 12:04 PM   #9
Locura
Member
 
Registered: May 2003
Distribution: Ubuntu 6.10 SE, Mac OS 10.4.8
Posts: 370

Rep: Reputation: 30
Yeah, I have found that the self-extracting bin file works best for installing Java.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing j2re-1_4_2_04-linux-i586.rpm paisano2k Fedora 12 05-07-2004 02:56 AM
I Installed j2sdk-1_4_1_02-fcs-linux-i586.rpm but still I am not able to chat yahoo DrGenetix Linux - Software 7 01-26-2004 07:17 AM
Newbie needs help Installing j2sdk-1_4_2-nb_3_5_1-bin-linux.bin bendoku Linux - Newbie 5 10-11-2003 09:27 AM
j2sdk-1_4_1_02-ux-i586-rpm.bin allelopath Linux - General 2 03-28-2003 05:47 PM
j2sdk-1_4_0-linux-i386-rpm.bin is not installing Harish_f Linux - General 1 05-06-2002 06:16 AM


All times are GMT -5. The time now is 09:09 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration